Bug 850646 - Review Request: ghc-blaze-textual - Haskell blaze-textual library
Review Request: ghc-blaze-textual - Haskell blaze-textual library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Narasimhan
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-22 01:58 EDT by Shakthi Kannan
Modified: 2012-09-18 23:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-17 18:58:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
lakshminaras2002: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
Summary and description patch (507 bytes, patch)
2012-09-09 09:49 EDT, Narasimhan
no flags Details | Diff

  None (edit)
Description Shakthi Kannan 2012-08-22 01:58:38 EDT
Spec URL: http://shakthimaan.fedorapeople.org/SPECS/ghc-blaze-textual.spec
SRPM URL: http://shakthimaan.fedorapeople.org/SRPMS/ghc-blaze-textual-0.2.0.6-1.fc16.src.rpm
Description: A library for efficiently rendering Haskell datatypes to bytestrings
Fedora Account System Username: shakthimaan
Comment 1 Shakthi Kannan 2012-08-22 02:34:28 EDT
$  rpmlint ghc-blaze-textual.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$  rpmlint ghc-blaze-textual-0.2.0.6-1.fc16.src.rpm 
ghc-blaze-textual.src: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
ghc-blaze-textual.src: W: spelling-error %description -l en_US bytestrings -> byte strings, byte-strings, restrings
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$  rpmlint ghc-blaze-textual-0.2.0.6-1.fc16.x86_64.rpm  
ghc-blaze-textual.x86_64: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
ghc-blaze-textual.x86_64: W: spelling-error %description -l en_US bytestrings -> byte strings, byte-strings, restrings
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

$  rpmlint ghc-blaze-textual-devel-0.2.0.6-1.fc16.x86_64.rpm  
ghc-blaze-textual-devel.x86_64: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
ghc-blaze-textual-devel.x86_64: W: spelling-error %description -l en_US bytestrings -> byte strings, byte-strings, restrings
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Successful Koji builds for F16, F17 and F18 respectively:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4412320
http://koji.fedoraproject.org/koji/taskinfo?taskID=4412325
http://koji.fedoraproject.org/koji/taskinfo?taskID=4412342
Comment 2 Narasimhan 2012-09-09 09:46:07 EDT
[+]MUST: rpmlint must be run on every package. The output should be posted in the review.
rpmlint  -i ghc-blaze-textual-0.2.0.6-1.fc16.src.rpm ghc-blaze-textual-devel-0.2.0.6-1.fc16.x86_64.rpm  ghc-blaze-textual-0.2.0.6-1.fc16.x86_64.rpm  ../ghc-blaze-textual.spec 
ghc-blaze-textual.src: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-textual.src: W: spelling-error %description -l en_US bytestrings -> byte strings, byte-strings, restrings
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-textual-devel.x86_64: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-textual-devel.x86_64: W: spelling-error %description -l en_US bytestrings -> byte strings, byte-strings, restrings
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-textual.x86_64: W: spelling-error %description -l en_US datatypes -> data types, data-types, databases
The value of this tag appears to be misspelled. Please double-check.

ghc-blaze-textual.x86_64: W: spelling-error %description -l en_US bytestrings -> byte strings, byte-strings, restrings
The value of this tag appears to be misspelled. Please double-check.

3 packages and 1 specfiles checked; 0 errors, 6 warnings.

[+]MUST: The package must be named according to the Package Naming Guidelines.
[+]MUST: The spec file name must match the base package %{name}, in the format %{name}.spec
[+]MUST: The package must meet the Packaging Guidelines.
        Naming-Yes
        Version-release - Matches
        License - OK
        No prebuilt external bits - OK
        Spec legibity - OK
        Package template - OK
        Arch support - OK
        Libexecdir - OK
        rpmlint - yes
        changelogs - OK
        Source url tag  - OK, validated.
        Build Requires list - OK
        Summary and description - OK
        API documentation - OK, in devel package

[+]MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines.
BSD license
[+]MUST: The License field in the package spec file must match the actual license.
[+]MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
LICENSE file is included.
[+]MUST: The spec file must be written in American English.
[+]MUST: The spec file for the package MUST be legible.
[+]MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
sha256sum blaze-textual-0.2.0.6.tar.gz ghc-blaze-textual-0.2.0.6-1.fc16.src/blaze-textual-0.2.0.6.tar.gz 
671c92d82009e917fa7c8294f8672bdd5b881fd8c5cab6926ed1bcf893742999  blaze-textual-0.2.0.6.tar.gz
671c92d82009e917fa7c8294f8672bdd5b881fd8c5cab6926ed1bcf893742999  ghc-blaze-textual-0.2.0.6-1.fc16.src/blaze-textual-0.2.0.6.tar.gz
[+]MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture.
Built on x86_64. koji builds for f16,f17 and f18 done by packager.
[+]MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
[+]MUST: All build dependencies must be listed in BuildRequires.
[+]MUST: Packages must NOT bundle copies of system libraries.
Checked with rpmquery --list.
[NA]MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
[+]MUST: A package must own all directories that it creates.
Checked with rpmquery --whatprovides.
[+]MUST: A Fedora package must not list a file more than once in the spec file's %files listings.
[+]MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example.
[+]MUST: Each package must consistently use macros.
[+]MUST: The package must contain code, or permissible content.
[+]MUST: Large documentation files must go in a -doc subpackage.
API documentation in -devel package.
[+]MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+]MUST: devel packages must require the base package using a fully versioned dependency: Requires: {name} = %{version}-%{release}
[NA]MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
[NA]MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section
[+]MUST: Packages must not own files or directories already owned by other packages.
[+]MUST: All filenames in rpm packages must be valid UTF-8.

Should items
[+]SHOULD: If the source package does not include license text(s) as a separate file from upstream, the packager SHOULD query upstream to include it. 
[-]SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available. 
[-]SHOULD: The reviewer should test that the package builds in mock. 
[+]SHOULD: The reviewer should test that the package functions as described. A package should not segfault instead of running, for example.
Loaded Blaze.Text.Double into ghci. Loads fine.
[+]SHOULD: If scriptlets are used, those scriptlets must be sane. This is vague, and left up to the reviewers judgement to determine sanity.

cabal2spec-diff is OK.

APPROVED.
Comment 3 Narasimhan 2012-09-09 09:49:24 EDT
Created attachment 611237 [details]
Summary and description patch
Comment 4 Shakthi Kannan 2012-09-09 10:59:12 EDT
Thanks for the review. Will include the patch before import.

New Package SCM Request
=======================
Package Name: ghc-blaze-textual
Short Description: Library for fast rendering of common data types
Owners: shakthimaan
Branches: f16 f17 f18
InitialCC: haskell-sig
Comment 5 Jon Ciesla 2012-09-09 16:38:52 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-09-09 22:52:01 EDT
ghc-blaze-textual-0.2.0.6-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ghc-blaze-textual-0.2.0.6-2.fc17
Comment 7 Fedora Update System 2012-09-09 22:52:12 EDT
ghc-blaze-textual-0.2.0.6-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ghc-blaze-textual-0.2.0.6-2.fc18
Comment 8 Fedora Update System 2012-09-09 22:52:23 EDT
ghc-blaze-textual-0.2.0.6-2.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ghc-blaze-textual-0.2.0.6-2.fc16
Comment 9 Fedora Update System 2012-09-10 12:06:57 EDT
ghc-blaze-textual-0.2.0.6-2.fc18 has been pushed to the Fedora 18 testing repository.
Comment 10 Fedora Update System 2012-09-17 18:58:18 EDT
ghc-blaze-textual-0.2.0.6-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2012-09-18 23:04:05 EDT
ghc-blaze-textual-0.2.0.6-2.fc16 has been pushed to the Fedora 16 stable repository.
Comment 12 Fedora Update System 2012-09-18 23:08:41 EDT
ghc-blaze-textual-0.2.0.6-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.